Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.jmx.builder
[Groovy] Class JmxOperationInfoManager

    java.lang.Object
      groovy.jmx.builder.JmxOperationInfoManager

    class JmxOperationInfoManager

This class is responsible for assembling JMX Operation Info from the meta map. It cycles through the provided meta map from the bean() node and generate JMX Info objects used to expose information in the MBeanServer.

Authors:
  Vladimir Vivien

See Also:
  JmxMetaMapBuilder

Method Summary
`static java.util.List` | `buildParamInfosFromMaps(java.util.Map metaMap)` Build an array of MBeanParameterInfo from the operation's meta map.
`static javax.management.modelmbean.ModelMBeanOperationInfo` | `createGetterOperationInfoFromProperty(MetaProperty prop)` Returns a MBean operation info for getter operation specified by the MetaProperty.
`static javax.management.modelmbean.ModelMBeanOperationInfo` | `createSetterOperationInfoFromProperty(MetaProperty prop)` Returns a MBean operation info for setter operation specified by the MetaProperty.
`static javax.management.modelmbean.ModelMBeanConstructorInfo` | `getConstructorInfoFromMap(java.util.Map map)` This method extracts ModelMBeanConstructorInfo from provided meta map.
`static java.util.List` | `getConstructorInfosFromMap(java.util.Map metaMap)` This method extracts an array of MBeanConstructorInfo from a list of meta maps.
`static javax.management.modelmbean.ModelMBeanOperationInfo` | `getOperationInfoFromMap(java.util.Map map)` Generates a ModelMBeanOperationInfo object from a meta map provided.
`static java.util.List` | `getOperationInfosFromMap(java.util.Map metaMap)` This method extracts an array of MBeanOperationInfo from a list of meta maps.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### buildParamInfosFromMaps

    static java.util.List buildParamInfosFromMaps(java.util.Map metaMap)

  Build an array of MBeanParameterInfo from the operation's meta map.
  Parameters:
    `the` - meta map containing the param info
  Returns:
    an array of JMX MBeanParameterInfo

### createGetterOperationInfoFromProperty

    static javax.management.modelmbean.ModelMBeanOperationInfo createGetterOperationInfoFromProperty(MetaProperty prop)

  Returns a MBean operation info for getter operation specified by the MetaProperty. Since no meta map is provided, this method will generate all default descriptor values to describe the operation.
  Parameters:
    `prop` - - the property object on the POGO/POJO that represents a getter
  Returns:
    a ModelMBeanOperation info built

### createSetterOperationInfoFromProperty

    static javax.management.modelmbean.ModelMBeanOperationInfo createSetterOperationInfoFromProperty(MetaProperty prop)

  Returns a MBean operation info for setter operation specified by the MetaProperty. Since no meta data is provided, this method will generate all default descriptor values to describe operation.
  Parameters:
    `prop` - - the property object on the POGO/POJO that represents a setter
  Returns:
    a ModelMBeanOperation info built

### getConstructorInfoFromMap

    static javax.management.modelmbean.ModelMBeanConstructorInfo getConstructorInfoFromMap(java.util.Map map)

  This method extracts ModelMBeanConstructorInfo from provided meta map. It also iterates over any parameters and builds the necessary MBeanParameterInfo array.
  Parameters:
    `meta` - map containing descriptor information
  Returns:
    the fully realized ModelMBeanConstructorInfo for the provided constructor reference.

### getConstructorInfosFromMap

    static java.util.List getConstructorInfosFromMap(java.util.Map metaMap)

  This method extracts an array of MBeanConstructorInfo from a list of meta maps.
  Parameters:
    `list` - of meta maps
  Returns:
    array of ModelMBeanConstructorInfo

### getOperationInfoFromMap

    static javax.management.modelmbean.ModelMBeanOperationInfo getOperationInfoFromMap(java.util.Map map)

  Generates a ModelMBeanOperationInfo object from a meta map provided.
  Parameters:
    `the` - meta map for the method
  Returns:
    the generated ModelMBeanOprationInfo

### getOperationInfosFromMap

    static java.util.List getOperationInfosFromMap(java.util.Map metaMap)

  This method extracts an array of MBeanOperationInfo from a list of meta maps.
  Parameters:
    `list` - of meta maps
  Returns:
    array of ModelMBeanOperationInfo

Groovy Documentation